#include <Arduino.h>

#include "utilheader.h"
#include "other_cpp_module.h"
#include "myfile002.h"
//function prototypes
void myUndeclaredFunction();


unsigned long ulTime, ulT0;

void setup() {
  Serial.begin(115200);
  Serial.print("setup() from :\t");
  Serial.println(__FILENAME__);
  ulT0 = millis();
}

void loop() {
  ulTime = millis();
  if ((ulTime - ulT0) > 1000) { //only output once per second
    ulT0 = ulTime;
    Serial.println("--------------------------------------------------");
    Serial.print("Time : ");
    Serial.print(ulTime);
    Serial.print("ms\tloop() from :\t");
    Serial.println(__FILENAME__);
    myUndeclaredFunction();
    myOtherUndeclaredFunction();
    myProperlyDeclaredFunction();
  }
}

void myUndeclaredFunction() {
    Serial.print("myUndeclaredFunction() from :\t");
    Serial.println(__FILENAME__);
}
